#+TITLE: Raw Types (WIP)


* Raw Types
** Item
*** Attributes
| name            | type                      | commentary                                                       |
|-----------------+---------------------------+------------------------------------------------------------------|
| name            | string                    |                                                                  |
| description     | string                    | Not capitalized, should usually start with an indefinite article |
| longDescription | string                    | Capitalized, should usually start with an indefinite article     |
| char            | [[*EntityChar][EntityChar]]                |                                                                  |
| wieldable       | [[*EntityWieldable][EntityWieldable]]           |                                                                  |
| density         | number , [number, number] | Density, or range for random density, in g/m³                    |
| volume          | number , [number, number] | Volume, or range for random volume, in m³                        |
* Data Types
** EntityChar
*** Attributes
| name  | type | commentary                                            |
|-------+------+-------------------------------------------------------|
| char  | char | How the entity is displayed when dropped on the floor |
| style | Attr |                                                       |
** TODO EntityWieldable
** TODO Attr
